<script lang="ts" setup>
import { useAOS } from '@/composables/useAOS';

useAOS();

defineProps({
  content: {
    type: Object,
    required: true,
  },
});

const formSubmitted = ref(false);

const onFormSubmit = () => {
  formSubmitted.value = true;
};
</script>

<template>
  <div class="developer-survey">
    <Devsurvey2024ReportHero class="section" :hero="content.hero" :intro="content.intro" />
    <div class="gate">
      <section class="form-container">
        <SlpContainer>
          <SlpRow>
            <SlpColumn :cols="6" class="text-wrapper">
              <SlpTypography variant="body3-bold" tag="p" class="slp-mb-8">
                {{ content.form.subtext }}
              </SlpTypography>
              <SlpTypography variant="heading2-bold" tag="h2" class="slp-mb-8">
                {{ content.form.header }}
              </SlpTypography>
              <SlpTypography variant="body2" tag="div" class="text-block">
                <span v-html="$md.render(content.form.text)" />
              </SlpTypography>
            </SlpColumn>
            <SlpColumn :cols="6" class="form-wrapper">
              <div class="form-wrapper__inner">
                <div v-if="!formSubmitted">
                  <CommonMktoForm v-bind="{ config: content.form.config }" @submit="onFormSubmit" />
                  <CommonOneTrustWarning />
                </div>
                <div v-else>
                  <div class="submitted-img-container slp-mb-16">
                    <img :src="content.form.submitted.config.imgSrc" alt="" />
                  </div>
                  <SlpTypography variant="body3-bold" tag="h3" class="slp-mb-8">
                    {{ content.form.submitted.subtext }}
                  </SlpTypography>
                  <SlpTypography variant="heading5-bold" tag="p" class="slp-mb-8">
                    {{ content.form.submitted.text }}
                  </SlpTypography>
                </div>
              </div>
            </SlpColumn>
          </SlpRow>
        </SlpContainer>
      </section>
    </div>
  </div>
</template>

<style lang="scss" scoped>
$primary-survey-text-color: #232150;
$checkmark-svg: 'data:image/svg+xml,%3Csvg%20width%3D%2220%22%20height%3D%2220%22%20viewBox%3D%220%200%2020%2020%22%20fill%3D%22none%22%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%3E%3Crect%20width%3D%2220%22%20height%3D%2220%22%20rx%3D%2210%22%20fill%3D%22%236FDAC9%22/%3E%3Cpath%20d%3D%22M4.5%2010.325L7.95%2013.775L15.5%206.22498%22%20stroke%3D%22%232F2A6B%22%20stroke-width%3D%222.2%22%20stroke-miterlimit%3D%2210%22/%3E%3C/svg%3E';

.developer-survey {
  overflow: clip;
  background: #f8f8f8;

  :deep(.slp-container) {
    position: relative;
  }

  .gate {
    position: relative;

    .text-wrapper {
      padding-right: 64px;

      @media (max-width: $breakpoint-md) {
        padding-right: 0;
      }
    }

    .form-container {
      color: $primary-survey-text-color !important;
      width: 100%;
      position: relative;
      padding: 96px 0;
      background: linear-gradient(179deg, #f8f8f8 0.88%, #d7fefe 99.07%);
      &:before {
        @media (min-width: $breakpoint-lg) {
          content: '';
          background: url('/images/developer-survey/2024/2024-survey-hero-bg-pills.png');
          background-size: contain;
          background-repeat: no-repeat;
          position: absolute;
          top: 0;
          left: 0;
          z-index: 3;
          width: 3000px;
          height: 600px;
        }
      }

      @media (max-width: $breakpoint-md) {
        padding: 64px 0 96px 0;
      }

      .text-block {
        :deep(p) {
          margin-bottom: 16px;
        }

        :deep(strong) {
          font-weight: $font-weight-bold;
        }

        :deep(li) {
          margin-bottom: 8px;
          padding-left: 30px;
          position: relative;
        }

        :deep(li:before) {
          content: url($checkmark-svg);
          position: absolute;
          left: 0;
          top: 0;
          width: 20px;
          height: 20px;
          z-index: 5;
        }
      }
    }

    .form-wrapper {
      z-index: 5;
      color: $primary-survey-text-color;

      @media (max-width: $breakpoint-md) {
        margin-top: 24px;
      }

      :deep(details) {
        text-align: center;
      }

      &__inner {
        background: $color-surface-800;
        padding: 24px;
        border-radius: 8px;
        box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.1);

        .submitted-img-container {
          position: relative;
          display: flex;
          justify-content: center;

          img {
            max-width: 300px;
          }
        }

        :deep(.mktoForm) {
          details {
            text-align: center;
          }

          &.mktoForm_container {
            @media (min-width: $breakpoint-lg) {
              display: grid;
              grid-template-columns: 1fr 1fr;
              column-gap: 30px;
              .mktoFormRow:nth-of-type(11) {
                grid-column: 1/3;
              }
              .mktoButtonRow {
                grid-column: 1/3;
              }
            }
          }
          // The following styles override the MrktoForm component stylesheet
          ul,
          ol {
            padding-left: 1.5em;
          }
          li {
            list-style-type: disc;
            margin-bottom: 8px;
          }
          .form_column .form_container {
            background: $color-surface-800;
            border: none;
          }

          .mktoForm .mktoRequiredField label.mktoLabel,
          .mktoForm_container .mktoFieldWrap label {
            color: $primary-survey-text-color !important;
          }

          #LblCountry {
            margin-top: 0 !important;
          }

          .mktoButtonWrap button {
            text-transform: capitalize;
            margin: 24px 0;
          }

          .form_column.slp-px-md-32 {
            padding-left: 0 !important;
            padding-right: 0 !important;
          }

          .form_column .form_container {
            padding: 0 !important;
          }
        }
      }
    }
  }
}
</style>
